View Issue Details

IDProjectCategoryView StatusLast Update
0000550FreeCADFeaturepublic2012-01-18 11:21
ReportercarlodAssigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000550: No correct name of parts after import of STEP file containing assemblies
DescriptionWhen trying to open the STEP file below which is an assembly, the names of the parts are not imported and the program assigns a subsequent name to each part (e.g filename005)

The part name can be obtained from the STEP file. An example searching inside this file is:
#30775 = PRODUCT ( 'Washer, 12 mm, narrow_B18.22M - Plain washer, 12 mm, narrow', 'Washer, 12 mm, narrow_B18.22M - Plain washer, 12 mm, narrow', '', ( #98141 ) ) ;

file:
http://openpario.mime.oregonstate.edu/attachments/4459/Liberator_CEB_Press_-2011-12-16.zip
TagsNo tags attached.

Activities

wmayer

2012-01-18 10:25

administrator   ~0001590

The normal open command from the File menu ignores names and only partially loads the colors. You have to switch to the Part workbench and use the import function from the Part menu.

This now loads the colors correctly and also loads the names. But looking at this examples and some others the names are the wrong ones. I'll fix that.

wmayer

2012-01-18 11:21

administrator   ~0001591

Fixed in rev 5415

Issue History

Date Modified Username Field Change
2011-12-21 07:58 carlod New Issue
2012-01-18 10:25 wmayer Note Added: 0001590
2012-01-18 11:21 wmayer Note Added: 0001591
2012-01-18 11:21 wmayer Status new => closed
2012-01-18 11:21 wmayer Resolution open => fixed
2012-01-18 11:21 wmayer Fixed in Version => 0.13